require_relative '../spec_helper'

describe TurbaChronos::Timeline do
  before(:all) do
    Timecop.freeze(Time.zone.parse("September 23 2014, 14:30").iso8601)
  end

  after(:all) do
    Timecop.return
  end

  def default_timeline
    Time.zone = 'Europe/Paris'
    TurbaChronos.load([], Time.now.utc.iso8601, (Time.now.utc + 1.day).iso8601)
  end

  describe '.business_timeranges' do
    it "returns the business timeranges" do
      expect(default_timeline.business_timeranges).to eql([["00:00", "23:59"]])
    end
  end

  describe '.levels' do
    it "returns the levels" do
      expect(default_timeline.levels).to eql([6])
    end
  end

  describe '.days' do
    it "returns the days" do
      expect(default_timeline.days.count).to eql(2)
      expect(default_timeline.days.first.instance_of?(TurbaChronos::Day)).to eql(true)
    end
  end

  describe '.current_day' do
    it "returns the current_day" do
      expect(default_timeline.current_day.instance_of?(TurbaChronos::Day)).to eql(true)
    end
  end

  describe '.opened?' do
    it "returns boolean if the day is opened or not" do
      expect(default_timeline.opened?).to eql(false)
    end
  end

end
