require_relative '../spec_helper'
require_relative '../fixtures/disney_fixture'

describe TurbaChronos::Timeline do
  before(:all) do
    Timecop.freeze(Time.zone.parse("November 02 2014, 14:30"))
    from = Time.zone.parse("November 04 2014, 00:00").iso8601
    to = Time.zone.parse("November 05 2014, 23:59").iso8601
    @subject = TurbaChronos.load(disney.periods, from, to)
  end

  after(:all) do
    Timecop.return
  end

  describe '.days' do
    it "returns the days" do
      expect(@subject.days.first.timeframes.count).to eql(2)
    end
  end
end
