require_relative '../spec_helper'
require_relative '../fixtures/empty_periods_fixture'

describe TurbaChronos::Timeline do
  before(:all) do
    Timecop.freeze(Time.zone.parse("November 02 2014, 14:30").iso8601)
    from = Time.zone.parse("November 01 2014, 00:00").iso8601
    to = Time.zone.parse("November 02 2014, 23:59").iso8601
    @subject = TurbaChronos.load(empty_periods.periods, from, to)
  end

  after(:all) do
    Timecop.return
  end

  describe '.days' do
    it "returns the days" do
      expect(@subject.days.first.timeframes.first.timerange.to_s).to eql('0..2359')
    end
  end
end
