require_relative '../spec_helper'
require_relative '../fixtures/future_reopen_fixture'

describe TurbaChronos::Timeline do
  before(:all) do
    Timecop.freeze(Time.zone.parse("July 30 2014, 16:15").iso8601)
    @subject = TurbaChronos.load(future_reopen.periods, Time.now.utc.iso8601, (Time.now.utc + 3.days).iso8601)
  end

  after(:all) do
    Timecop.return
  end

  describe '.reopen' do
    it "returns when it's reopen" do
      expect(@subject.reopen.date.to_s).to eql("2014-08-13")
      expect(@subject.reopen.timeframe.timerange.to_s).to eql("800..1000")
      expect(@subject.reopen.timeframe.level).to eql(2)
    end
  end
end
