require_relative '../spec_helper'
require_relative '../fixtures/lcl_fixture'

describe TurbaChronos::Timeline do
  before(:all) do
    Timecop.freeze(Time.zone.parse("September 23 2014, 14:30").iso8601)
    @subject = TurbaChronos.load(lcl.periods, Time.now.utc.iso8601, (Time.now.utc + 3.days).iso8601)
  end

  after(:all) do
    Timecop.return
  end

  describe '.days' do
    it "returns the days" do
      expect(@subject.days.first.timeframes[0].level).to eql(3)
      expect(@subject.days.first.timeframes[1].level).to eql(1)
    end
  end

  describe '.reopen' do
    it "returns when it's reopen" do
      expect(@subject.reopen.date.to_s).to eql("2014-09-23")
      expect(@subject.reopen.timeframe.timerange).to eql(1700..1730)
      expect(@subject.reopen.timeframe.level).to eql(1)
    end
  end
end
