require 'test_helper'

class TestRule < Minitest::Test
  def setup
    @rule = TurbaChronos::Rule.new(['06:00', '15:00', 1, 3, 3, 3, 3, 3, 6])
  end

  def test_min
    assert_equal @rule.min, 600
  end

  def test_max
    assert_equal @rule.max, 1500
  end

  def test_start_time
    assert_equal @rule.start_time.text, "06:00"
    assert_equal @rule.start_time.integer, 600
  end

  def test_end_time
    assert_equal @rule.end_time.text, "15:00"
    assert_equal @rule.end_time.integer, 1500
  end

  def test_range
    assert_equal @rule.range, 600..1500
  end

  def test_wdays
    assert_equal @rule.wdays, [1, 3, 3, 3, 3, 3, 6]
  end
end
